Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytype
Class Void

    java.lang.Object
      mycompiler.mytype.Type
          mycompiler.mytype.RefType
              mycompiler.mytype.Void

    public class Void

extends RefType

Field Summary

Fields inherited from class mycompiler.mytype.Type
`hamaDebug, used`

Constructor Summary
`Void()`

Method Summary
`Void` | `clone()` Author: J�rg B�uerle
`boolean` | `equals(java.lang.Object obj)` Author: J�rg B�uerle
`java.lang.String` | `get_Name()`
`void` | `set_Name(java.lang.String nam)`

Methods inherited from class mycompiler.mytype.RefType
`add_Parameter, Equiv2Equal, get_ParaList, getName, getParaN, getTypeName, is_Equiv, isTV, set_ParaList, setName, Type2Key, Type2String`

Methods inherited from class mycompiler.mytype.Type
`get_codegen_Type, get_UsedId, set_UsedId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Void

    public Void()

Method Detail

### set_Name

    public void set_Name(java.lang.String nam)

### get_Name

    public java.lang.String get_Name()

  Overrides:
    `get_Name` in class `Type`

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `RefType`
  Parameters:
    `Object` -
  Returns:

### clone

    public Void clone()

  Author: J�rg B�uerle

  Overrides:
    `clone` in class `RefType`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD